libetonyek::IWORKTextLabelElement Class Reference

`#include <IWORKTextLabelElement.h>`

Inheritance diagram for libetonyek::IWORKTextLabelElement:

## Public Member Functions
| IWORKTextLabelElement (IWORKXMLParserState &state, boost::optional< IWORKListLabelTypeInfo_t > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Private Member Functions
void | attribute (int name, const char *value) override
| Process an attribute.
void | endOfElement () override
| Signalize the end of an element.

## Private Attributes
boost::optional< IWORKListLabelTypeInfo_t > & | m_value
bool | m_bullet
boost::optional< IWORKLabelNumFormat > | m_type
std::string | m_format
boost::optional< unsigned > | m_first

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextEmpty
| IWORKXMLContextEmpty (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
IWORKXMLContextPtr_t | element (int token) override
| Create a context for parsing a child element.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
const boost::optional< ID_t > & | getRef () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextEmpty, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKTextLabelElement()

libetonyek::IWORKTextLabelElement::IWORKTextLabelElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKListLabelTypeInfo_t > & | value )

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKTextLabelElement::attribute | ( | int | name,
|  | const char * | value )
| override private virtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKTextLabelElement::endOfElement | ( |  | ) |
| override private virtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_bullet

bool libetonyek::IWORKTextLabelElement::m_bullet
| private

Referenced by attribute(), endOfElement(), and IWORKTextLabelElement().

## ◆ m_first

boost::optional<unsigned> libetonyek::IWORKTextLabelElement::m_first
| private

Referenced by attribute(), endOfElement(), and IWORKTextLabelElement().

## ◆ m_format

std::string libetonyek::IWORKTextLabelElement::m_format
| private

Referenced by attribute(), endOfElement(), and IWORKTextLabelElement().

## ◆ m_type

boost::optional<IWORKLabelNumFormat> libetonyek::IWORKTextLabelElement::m_type
| private

Referenced by attribute(), endOfElement(), and IWORKTextLabelElement().

## ◆ m_value

boost::optional<IWORKListLabelTypeInfo_t>& libetonyek::IWORKTextLabelElement::m_value
| private

Referenced by endOfElement(), and IWORKTextLabelElement().

The documentation for this class was generated from the following files:

- IWORKTextLabelElement.h
- IWORKTextLabelElement.cpp